import { segmentParagraphs } from "./paragraphs.mjs";
import { segmentPhrases } from "./phrases.mjs";
import { segmentSentences } from "./sentences.mjs";
import { segmentWords } from "./words.mjs";
export function createSegmentation(text, options) {
  const { lang } = options;
  switch (options.segmentation) {
    case "paragraphs":
      return segmentParagraphs(text);
    case "sentences":
      return segmentSentences(text, {
        lang
      });
    case "phrases":
      return segmentPhrases(text, {
        lang
      });
    case "words":
      return segmentWords(text, {
        lang
      });
  }
}
export { segmentParagraphs, segmentSentences, segmentPhrases, segmentWords };
